summaryrefslogtreecommitdiffstats
path: root/src/vfs/extfs/helpers/bpp
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:22:03 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:22:03 +0000
commitffccd5b2b05243e7976db80f90f453dccfae9886 (patch)
tree39a43152d27f7390d8f7a6fb276fa6887f87c6e8 /src/vfs/extfs/helpers/bpp
parentInitial commit. (diff)
downloadmc-ffccd5b2b05243e7976db80f90f453dccfae9886.tar.xz
mc-ffccd5b2b05243e7976db80f90f453dccfae9886.zip
Adding upstream version 3:4.8.30.upstream/3%4.8.30
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/vfs/extfs/helpers/bpp')
-rwxr-xr-xsrc/vfs/extfs/helpers/bpp50
1 files changed, 50 insertions, 0 deletions
diff --git a/src/vfs/extfs/helpers/bpp b/src/vfs/extfs/helpers/bpp
new file mode 100755
index 0000000..f71fe7e
--- /dev/null
+++ b/src/vfs/extfs/helpers/bpp
@@ -0,0 +1,50 @@
+#! /bin/sh
+#
+# Written by Marco Ciampa 2000
+# (a simple cut & paste from rpm vfs)
+# (C) 1996 The Free Software Foundation.
+#
+# Package of a new italian distribution: Bad Penguin
+# http://www.badpenguin.org/
+
+# override any locale for dates
+unset LC_ALL
+LC_TIME=C
+export LC_TIME
+
+mcbppfs_list ()
+{
+ FILEPREF="-r--r--r-- 1 root root "
+ FIEXPREF="-r-xr-xr-x 1 root root "
+ DATE=`date +"%b %d %H:%M"`
+ set x `ls -l "$1"`
+ size=$6
+ echo "$FILEPREF $size $DATE CONTENTS.tar.gz"
+ echo "$FIEXPREF 35 $DATE INSTALL"
+ echo "$FIEXPREF 35 $DATE UPGRADE"
+}
+
+mcbppfs_copyout ()
+{
+ case "$2" in
+ CONTENTS.tar.gz) cat "$1" > "$3"; exit 0;;
+ INSTALL) echo "# Run this to install this package" > "$3"; exit 0;;
+ UPGRADE) echo "# Run this to upgrade this package" > "$3"; exit 0;;
+ esac
+}
+
+mcbppfs_run ()
+{
+ case "$2" in
+ INSTALL) echo "Installing \"$1\""; package-setup --install "$1"; exit 0;;
+ UPGRADE) echo "Upgrading \"$1\""; package-setup --update "$1"; exit 0;;
+ esac
+}
+
+umask 077
+case "$1" in
+ list) mcbppfs_list "$2"; exit 0;;
+ copyout) mcbppfs_copyout "$2" "$3" "$4"; exit 0;;
+ run) mcbppfs_run "$2" "$3"; exit 1;;
+esac
+exit 1